KUBERNETES(1)

NAME

kubectl config view - Displays merged kubeconfig settings or a specified kubeconfig file.

SYNOPSIS

kubectl config view [OPTIONS]

DESCRIPTION

Displays merged kubeconfig settings or a specified kubeconfig file.

You can use --output jsonpath={...} to extract specific values using a jsonpath expression.

OPTIONS

--flatten=false
    flatten the resulting kubeconfig file into self contained output (useful for creating portable kubeconfig files)

--merge=true
    merge together the full hierarchy of kubeconfig files

--minify=false
    remove all information not used by current-context from the output

--no-headers=false
    When using the default output, don't print headers.

-o, --output=""
    Output format. One of: json|yaml|wide|name|go-template=...|go-template-file=...|jsonpath=...|jsonpath-file=... See golang template [ ⟨http://golang.org/pkg/text/template/#pkg-overview⟩] and jsonpath template [ ⟨http://releases.k8s.io/HEAD/docs/user-guide/jsonpath.md⟩].

--output-version=""
    Output the formatted object with the given version (default api-version).

--raw=false
    display raw byte data

-a, --show-all=false
    When printing, show all resources (default hide terminated pods.)

--show-labels=false
    When printing, show all labels as the last column (default hide labels column)

--sort-by=""
    If non-empty, sort list types using this field specification. The field specification is expressed as a JSONPath expression (e.g. '{.metadata.name}'). The field in the API resource specified by this JSONPath expression must be an integer or a string.

--template=""
    Template string or path to template file to use when -o=go-template, -o=go-template-file. The template format is golang templates [ ⟨http://golang.org/pkg/text/template/#pkg-overview⟩].

OPTIONS INHERITED FROM PARENT COMMANDS

--alsologtostderr=false
    log to standard error as well as files

--api-version=""
    The API version to use when talking to the server

--certificate-authority=""
    Path to a cert. file for the certificate authority.

--client-certificate=""
    Path to a client certificate file for TLS.

--client-key=""
    Path to a client key file for TLS.

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.

--kubeconfig=""
    use a particular kubeconfig file

--log-backtrace-at=:0
    when logging hits line file:N, emit a stack trace

--log-dir=""
    If non-empty, write log files in this directory

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--logtostderr=true
    log to standard error instead of files

--match-server-version=false
    Require server version to match client version

--namespace=""
    If present, the namespace scope for this CLI request.

--password=""
    Password for basic authentication to the API server.

-s, --server=""
    The address and port of the Kubernetes API server

--stderrthreshold=2
    logs at or above this threshold go to stderr

--token=""
    Bearer token for authentication to the API server.

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server.

--v=0
    log level for V logs

--vmodule=
    comma-separated list of pattern=N settings for file-filtered logging

EXAMPLE

    # Show Merged kubeconfig settings.
    $ kubectl config view
    # Get the password for the e2e user
    $ kubectl config view -o jsonpath='{.users[?(@.name == "e2e")].user.password}'

SEE ALSO

kubectl-config(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!